Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class ContentModelHoverParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.hover.HoverParticipantAdapter
  - - org.eclipse.lemminx.extensions.contentmodel.participants.ContentModelHoverParticipant

All Implemented Interfaces:
  `IHoverParticipant`

    public class ContentModelHoverParticipant
    extends HoverParticipantAdapter

Extension to support XML hover based on content model (XML Schema documentation, etc)

### Constructor Summary

Constructors
`ContentModelHoverParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.Hover` `onAttributeName​(IHoverRequest hoverRequest, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onAttributeName method
`org.eclipse.lsp4j.Hover` `onAttributeValue​(IHoverRequest hoverRequest, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onAttributeValue method
`org.eclipse.lsp4j.Hover` `onTag​(IHoverRequest hoverRequest, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onTag method
`org.eclipse.lsp4j.Hover` `onText​(IHoverRequest hoverRequest, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` onText method

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentModelHoverParticipant

    public ContentModelHoverParticipant()

### Method Detail

#### onTag

    public org.eclipse.lsp4j.Hover onTag​(IHoverRequest hoverRequest,
                                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                  throws Exception

Description copied from interface: `IHoverParticipant`
onTag method

Specified by:
  `onTag` in interface `IHoverParticipant`
Overrides:
  `onTag` in class `HoverParticipantAdapter`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onAttributeName

    public org.eclipse.lsp4j.Hover onAttributeName​(IHoverRequest hoverRequest,
                                                   org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                            throws Exception

Description copied from interface: `IHoverParticipant`
onAttributeName method

Specified by:
  `onAttributeName` in interface `IHoverParticipant`
Overrides:
  `onAttributeName` in class `HoverParticipantAdapter`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onAttributeValue

    public org.eclipse.lsp4j.Hover onAttributeValue​(IHoverRequest hoverRequest,
                                                    org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                             throws Exception

Description copied from interface: `IHoverParticipant`
onAttributeValue method

Specified by:
  `onAttributeValue` in interface `IHoverParticipant`
Overrides:
  `onAttributeValue` in class `HoverParticipantAdapter`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`

#### onText

    public org.eclipse.lsp4j.Hover onText​(IHoverRequest hoverRequest,
                                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                                   throws Exception

Description copied from interface: `IHoverParticipant`
onText method

Specified by:
  `onText` in interface `IHoverParticipant`
Overrides:
  `onText` in class `HoverParticipantAdapter`
Returns:
  the Value of MarkupContent `String`
Throws:
  `Exception`